 <!-- begin nastaveni.php -->
<?php
if ($_GET['n']=="prihlasovani") 
  {
     if ($_POST['odeslano']=="ano") {
     $dotaz=mysql_query("UPDATE settings SET val='".$_POST['heslo']."' WHERE id='password';");
     if ($dotaz) {$pozn="<span style='font-weight:bold;'>Heslo bylo úspěšně změněno.</span>";} else {$pozn="<span style='color:red;font-weight:bold;'>Chyba při změně hesla!</span>";};
     };
     
     if ($_POST['guest']=="ano") {
     $dotaz=mysql_query("UPDATE settings SET val='1' WHERE id='guest';");
     if ($dotaz) {$pozn="<span style='font-weight:bold;'>Účet Guest byl povolen.</span>";} else {$pozn="<span style='color:red;font-weight:bold;'>Chyba!</span>";};
     };
     
     if ($_POST['guest']=="ne") {
     $dotaz=mysql_query("UPDATE settings SET val='0' WHERE id='guest';");
     if ($dotaz) {$pozn="<span style='font-weight:bold;'>Účet Guest byl zakázán.</span>";} else {$pozn="<span style='color:red;font-weight:bold;'>Chyba!</span>";};
     };
     
     
     $dotaz=mysql_query("SELECT val FROM settings WHERE id='password';");
     $pass=mysql_fetch_row($dotaz);
     $dotaz=mysql_query("SELECT val FROM settings WHERE id='guest';");
     $guest=mysql_fetch_row($dotaz);
     
     $nadpis="Nastavení - přihlašování";
     $obsah='
     
     <form action="nastaveni.php?n=prihlasovani" method="POST">
     <input type="hidden" name="odeslano" value="ano" />
     Heslo správce: <input type="text" size="20" name="heslo" value="'.$pass[0].'" />
     <input type="submit" value="Změnit" />
     </form>
     
     <br/><br/>
                     
     ';
     if ($guest[0]==1) {
     $obsah.='Účet Guest je <b>povolen</b>.<br/>
     Heslo pro účet Guest je "guest".
     <form action="nastaveni.php?n=prihlasovani" method="POST">
     <input type="hidden" name="guest" value="ne" />
     <input type="submit" value="Zakázát" />
     </form>';
     }
     else
     {
     $obsah.='Účet Guest je <b>zakázán</b>.<br/>
     <form action="nastaveni.php?n=prihlasovani" method="POST">
     <input type="hidden" name="guest" value="ano" />
     <input type="submit" value="Povolit" />
     </form>';
     }
  
     $obsah.="<br/>".$pozn;
  }
elseif  ($_GET['n']=="aktualizace") 
  {
     
     if ($_POST['odeslano']=="ano") {
     $dotaz=mysql_query("UPDATE settings SET val='".$_POST['rychlost']."' WHERE id='refresh';");
     if ($dotaz) {$pozn="<span style='font-weight:bold;'>Změna uložena.</span>";} else {$pozn="<span style='color:red;font-weight:bold;'>Chyba!</span>";};
     };
     
     $dotaz=mysql_query("SELECT val FROM settings WHERE id='refresh';");
     $refr=mysql_fetch_row($dotaz);
     
     
     $nadpis="Nastavení - aktualizace dat";
     $obsah='
     <form action="nastaveni.php?n=aktualizace" method="POST">
     <table>
     <tr><td style="text-align:right;font-weight:bold;">Rychlost aktualizace:</td><td><input type="text" size="5" name="rychlost" value="'.$refr[0].'"> sekund</td></tr>
     </table>
     <input type="hidden" name="odeslano" value="ano">
     <input type="submit" value="Uložit">
     </form>  <br/>
     '.$pozn.'
     ';
       
  }
elseif  ($_GET['n']=="cena") 
  {
     
     if ($_POST['odeslano']=="ano") {
     $dotaz=mysql_query("UPDATE settings SET val='".$_POST['cena']."' WHERE id='price';");
     $dotaz=mysql_query("UPDATE settings SET val='".$_POST['mena']."' WHERE id='currency';");
     if ($dotaz) {$pozn="<span style='font-weight:bold;'>Změny uloženy.</span>";} else {$pozn="<span style='color:red;font-weight:bold;'>Chyba!</span>";};
      };
     
     $dotaz=mysql_query("SELECT val FROM settings WHERE id='price';");
     $cena=mysql_fetch_row($dotaz);
     $dotaz=mysql_query("SELECT val FROM settings WHERE id='currency';");
     $mena=mysql_fetch_row($dotaz);
     
     
     $nadpis="Nastavení - Cena energie";
     $obsah='
     <form action="nastaveni.php?n=cena" method="POST">
     <table>
     <tr><td style="text-align:right;font-weight:bold;">Cena za jednotku:</td><td><input type="text" size="5" name="cena" value="'.$cena[0].'"> za kWh <span style="color:#999999"><i> (použív.desetinnou tečku)</i></span></td></tr>
     <tr><td style="text-align:right;font-weight:bold;">Měna:</td><td><input type="text" size="5" name="mena" value="'.$mena[0].'"></td></tr>
     </table>
     <input type="hidden" name="odeslano" value="ano">
     <input type="submit" value="Uložit">
     </form>  <br/>
     '.$pozn.'
     ';
       
  }
else 
  {
     $nadpis="Nastavení";
     $obsah='Vyberte položku z menu nalevo.';
  };
?>

            <div class="post">				
              <h2 class="title">
                <a href="#"><?php echo $nadpis; ?></a>
              </h2>				
              
              <div class="entry">		
                <?php echo $obsah; ?>     
              </div>			
            </div>
            
            
            
 <!-- end nastaveni.php -->